﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms

Namespace GradientPanel
	Partial Public Class Form1
		Inherits Office2007Form
		Public Sub New()
			InitializeComponent()
			Me.comboBox1.SelectedIndex = 0
		End Sub

		Private Sub comboBox1_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs) Handles comboBox1.SelectedIndexChanged
			If Me.comboBox1.Text = "Black" Then
				'To set the color scheme as black
				Me.ColorScheme = Office2007Theme.Black
				'To Change the Back color of the GradientPanel to Office2007Black
				Me.gradientPanel1.BackColor = Color.FromArgb(113, 113, 113)
				Me.label1.ForeColor = Color.White
				Me.label2.ForeColor = Color.White
				Me.CaptionForeColor = Color.White
			ElseIf Me.comboBox1.Text = "Blue" Then
				'To set the color scheme as blue
				Me.ColorScheme = Office2007Theme.Blue
				'To Change the Back color of the GradientPanel to Office2007Blue
				Me.gradientPanel1.BackColor = Color.FromArgb(187, 212, 246)
				Me.label1.ForeColor = Color.Black
				Me.label2.ForeColor = Color.Black
				Me.CaptionForeColor = Color.Black
			ElseIf Me.comboBox1.Text = "Silver" Then
				'To set the color scheme as silver
				Me.ColorScheme = Office2007Theme.Silver
				'To Change the Back color of the GradientPanel to Office2007Silver
				Me.gradientPanel1.BackColor = Color.FromArgb(202, 207, 217)
				Me.label1.ForeColor = Color.Black
				Me.label2.ForeColor = Color.Black
				Me.CaptionForeColor = Color.Black
			Else
				'To set the managed color scheme for Office2007Form
				Me.ColorScheme = Office2007Theme.Managed
				'To apply the managed color to Office2007Form
                Office2007Colors.ApplyManagedColors(Me, System.Drawing.Color.Red)
				'To get the form backcolor from the color table
				Dim color As Color = Office2007Colors.GetColorTable(Office2007Theme.Managed).FormBackground
				'To Change the Back color of the GradientPanel to Managed color
				Me.gradientPanel1.BackColor = color
				Me.label1.ForeColor = Color.Black
				Me.label2.ForeColor = Color.Black
				Me.CaptionForeColor = Color.Black
			End If
		End Sub
	End Class
End Namespace
